<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script src="https://unpkg.com/vue/dist/vue.js"></script>
    <script src="https://unpkg.com/vue-router/dist/vue-router.js"></script>     
    
    <div id="app">  
        <h1>Belajar Vue Router</h1>
    
        <router-link to="/">Home</router-link>
        <router-link to="/about">About</router-link>        
        <router-link to="/categories">Categories</router-link>        
        <hr>
        <router-view></router-view>
    </div>
    
    <script type="module">
        import { Categories1 } from './CategoriesComponent.js'
        import { CategoryComponent } from './CategoryComponent.js'

        const Home = { template: '<div>Ini Halaman Home</div>' }
        const About = { template: '<div>Ini Halaman About</div>' }

        const routes = [
            { path: '/', component: Home, alias: '/home' },
            { path: '/about', component: About },
            { path: '/categories', component: Categories1 },
            { path: '/category/:id', component: CategoryComponent },
            { path: '*', redirect: '/' }
        ]

        const router = new VueRouter({
        routes 
        })

        var vm = new Vue({ 
        el: '#app', 
        router, 
        })
    </script>
</body>
</html>